failed to install tomcat - BSD

This is a discussion on failed to install tomcat - BSD ; Hello, All! i want to install Apache Tomcat on FreeBSD 6.1. i've installed Diablo JDK 1.5.0.7 from FreeBSD Foundation using pkg_add. i'm installing /usr/ports/www/tomcat55 it does not detect that i have Java and wants to install JDK 1.4.2, telling me ...

+ Reply to Thread
Results 1 to 6 of 6

Thread: failed to install tomcat

  1. failed to install tomcat

    Hello, All!

    i want to install Apache Tomcat on FreeBSD 6.1.
    i've installed Diablo JDK 1.5.0.7 from FreeBSD Foundation using pkg_add.

    i'm installing /usr/ports/www/tomcat55

    it does not detect that i have Java and wants to install JDK 1.4.2, telling
    me that i should manually download some files from Sun, etc.
    here is a log: http://pastebin.ca/269152

    make java-debug doesn't say anything interesting -- it doesn't see any JDK
    and want to install 1.4.2

    i've copied /usr/local/diablo-jdk1.5.0 to /usr/local/jdk1.4.2

    after that, the Tomcat installation proceeded, but at the last stage it
    failed -- it said that some file for tar was empty. it unpacked all files
    into /usr/local/tomcat5.5
    but it didn't create /etc/rc.d entry for tomcat, and i don't see any traces
    of tomcat in /etc

    and make deinstall now says:

    tomcat-5.5.12-3 has different PREFIX , skipping

    as for me, this looks like a bug. should i report it, and where to?

    With best regards, Alex Mizrahi.



  2. Re: failed to install tomcat

    Alex Mizrahi (udodenko@users.sourceforge.net) wrote:

    > i want to install Apache Tomcat on FreeBSD 6.1.
    > i've installed Diablo JDK 1.5.0.7 from FreeBSD Foundation using pkg_add.
    >
    > i'm installing /usr/ports/www/tomcat55
    >
    > it does not detect that i have Java and wants to install JDK 1.4.2,
    > telling me that i should manually download some files from Sun, etc.
    > here is a log: http://pastebin.ca/269152
    >
    > make java-debug doesn't say anything interesting -- it doesn't see any
    > JDK and want to install 1.4.2


    try exporting $JAVA_HOME. I run tomcat55 with jdk1.5 without problems.

    HTH, Helmut

    --
    Please do not feed my mailbox, Swen still does his job well

  3. Re: failed to install tomcat

    (message (Hello 'Helmut)
    (you :wrote n '(Wed, 6 Dec 2006 15:41:50 +0100))
    (

    ??>> i want to install Apache Tomcat on FreeBSD 6.1.
    ??>> i've installed Diablo JDK 1.5.0.7 from FreeBSD Foundation using
    ??>> pkg_add. i'm installing /usr/ports/www/tomcat55 it does not detect
    ??>> that i have Java and wants to install JDK 1.4.2, telling me that i
    ??>> should manually download some files from Sun, etc. here is a log:
    http://pastebin.ca/269152 make
    ??>> java-debug doesn't say anything interesting -- it doesn't see any JDK
    ??>> and want to install 1.4.2

    HS> try exporting $JAVA_HOME. I run tomcat55 with jdk1.5 without problems.

    i've added export JRE_HOME and JAVA_HOME into .profile, and JRE_HOME into
    ..cshrc
    it didn't change anything.
    when i export JAVA_HOME in .cshrc, it says:

    tomcat-5.5.12_3: Environment error: "JAVA_HOME" should not be defined.

    i've also heard people say that it works for them, so either it got broken
    in latest release (i've did installation from ftp two days ago), or i have
    something corrupted.. since i've installed it with sole purpose to run
    tomcat on it, the only corruption i could make is that i've selected some
    Java packages in sysinstall (i'm not sure if it have installed anything), i
    also have very minimal system, so maybe it lacks something..

    )
    (With-best-regards '(Alex Mizrahi) :aka 'killer_storm)
    "People who lust for the Feel of keys on their fingertips (c) Inity")



  4. Re: failed to install tomcat

    Alex Mizrahi (udodenko@users.sourceforge.net) wrote:
    > (message (Hello 'Helmut)
    > (you :wrote n '(Wed, 6 Dec 2006 15:41:50 +0100))
    > (
    >
    > ??>> i want to install Apache Tomcat on FreeBSD 6.1.
    > ??>> i've installed Diablo JDK 1.5.0.7 from FreeBSD Foundation using
    > ??>> pkg_add. i'm installing /usr/ports/www/tomcat55 it does not detect
    > ??>> that i have Java and wants to install JDK 1.4.2, telling me that i
    > ??>> should manually download some files from Sun, etc. here is a log:
    > http://pastebin.ca/269152 make
    > ??>> java-debug doesn't say anything interesting -- it doesn't see any JDK
    > ??>> and want to install 1.4.2
    >
    > HS> try exporting $JAVA_HOME. I run tomcat55 with jdk1.5 without problems.
    >
    > i've added export JRE_HOME and JAVA_HOME into .profile, and JRE_HOME into
    > .cshrc
    > it didn't change anything.
    > when i export JAVA_HOME in .cshrc, it says:
    >
    > tomcat-5.5.12_3: Environment error: "JAVA_HOME" should not be defined.
    >
    > i've also heard people say that it works for them, so either it got
    > broken in latest release (i've did installation from ftp two days ago),
    > or i have something corrupted.. since i've installed it with sole
    > purpose to run tomcat on it, the only corruption i could make is that
    > i've selected some Java packages in sysinstall (i'm not sure if it have
    > installed anything), i also have very minimal system, so maybe it lacks
    > something..


    Is "pkgdb -Fu" without errors? May I see the output of pkg_info?

    --
    Please do not feed my mailbox, Swen still does his job well


  5. Re: failed to install tomcat

    (message (Hello 'Helmut)
    (you :wrote n '(Wed, 6 Dec 2006 16:15:30 +0100))
    (

    after i've deleted some junk in /usr/ports/www/tomcat55 (not deletable with
    make clean) it installed it cleanly, it's even runnable

    HS> Is "pkgdb -Fu" without errors? May I see the output of pkg_info?

    bsd# pkgdb -Fu
    pkgdb: Command not found.
    bsd# pkg_info
    diablo-jdk-1.5.0.07.01 Java Development Kit 1.5.0_07.01
    expat-2.0.0_1 XML 1.0 parser written in C
    fontconfig-2.3.2_3,1 An XML-based font configuration API for X Windows
    freetype2-2.1.10_3 A free and portable TrueType font rendering engine
    javavmwrapper-2.0_6 Wrapper script for various Java Virtual Machines
    jikes-1.22_1 A very fast Java source to byte-code compiler made
    availabl
    libdrm-2.0_1 Userspace interface to kernel Direct Rendering Module
    servi
    libiconv-1.9.2_2 A character set conversion library
    pkgconfig-0.20 A utility to retrieve information about installed
    libraries
    tomcat-5.5.12_3 Open-source Java web server by Apache, 5.5.x branch
    urwfonts-1.0 Another font package for X
    xorg-libraries-6.9.0 X11 libraries and headers from X.Org

    )
    (With-best-regards '(Alex Mizrahi) :aka 'killer_storm)
    "People who lust for the Feel of keys on their fingertips (c) Inity")



  6. Re: failed to install tomcat

    Alex Mizrahi (udodenko@users.sourceforge.net) wrote:
    > (message (Hello 'Helmut)
    > (you :wrote n '(Wed, 6 Dec 2006 16:15:30 +0100))
    > (
    >
    > after i've deleted some junk in /usr/ports/www/tomcat55 (not deletable
    > with make clean) it installed it cleanly, it's even runnable
    >
    > HS> Is "pkgdb -Fu" without errors? May I see the output of pkg_info?
    >
    > bsd# pkgdb -Fu
    > pkgdb: Command not found.


    install portupgrade. You'll probably need it.

    --
    Please do not feed my mailbox, Swen still does his job well

+ Reply to Thread